Name:		vte-ng
Version:	0.56.2.a
Release:	1%{?dist}
Summary:	A library implementing a terminal emulator widget for GTK+

License:	LGPLv2.1
URL:		https://github.com/thestinger/vte-ng
Source0:	https://github.com/thestinger/%{name}/archive/%{version}.tar.gz

Provides:	%{name} = %{version}
Obsoletes:	%{name} <= %{version}
#Provides:       vte291 = 0.54.1
#Obsoletes:      vte291 <= 0.54.1
#Provides:       vte-profile = 0.54.1
#Obsoletes:      vte-profile <= 0.54.1

BuildRequires:	gtk-doc autoconf automake libtool intltool
BuildRequires:	gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  pango-devel
BuildRequires:  gtk3-devel
BuildRequires:  zlib-devel
BuildRequires:  pcre2-devel
BuildRequires:  gnutls-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
BuildRequires:  gperf gperftools-devel
Requires:	vte-profile

%description
VTE is a library (libvte) implementing a terminal emulator widget for GTK+,
and a minimal sample application (vte) using that.  Vte is mainly used in
gnome-terminal, but can also be used to embed a console/terminal in games,
editors, IDEs, etc.

%package devel
Requires: %{name}
Summary:  vte-ng development files

%description devel
This is a vte-ng development package

%prep
%setup -q
sed -i 's/VTE_API_MAJOR_VERSION=/VTE_API_MAJOR_VERSION=ng-/g' configure.ac
./autogen.sh --enable-gtk-doc-html=no

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_sysconfdir}/profile.d/vte.sh

%files
%doc NEWS
%license COPYING.*

%{_libdir}/*so*
%{_bindir}/*
%{_libdir}/girepository-1.0/*.typelib

%{_datarootdir}/locale/*/LC_MESSAGES/*.mo

%files devel
%{_includedir}/*/*/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datarootdir}/vala/vapi/*.vapi
%{_datarootdir}/gir-1.0/*.gir



%changelog
* Sat Aug 10 2019 Johan Swensson <kupo@kupo.se> 0.56.2.a-1
- update to 0.56.2.a

* Mon Nov  5 2018 skidnik <skidnik@gmail.com> 0.52.2.a-2
- removed duplicate vte.sh script, added dependency on vte-profile
* Thu Nov  1 2018 skidnik <skidnik@gmail.com> 0.52.2.a
- newer version, added -ng prefix to API_VERSION to remove conflict with mainline vte version, disabled building docs
* Tue Apr 17 2018 Alice Rum <wyvie@wyvie.org> 0.50.2.a-1
- Initial
